> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Categories List

> To query all the supported categories on GeckoTerminal

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Returns 50 categories per page.
* Use category IDs with [Pools by Category ID](/reference/pools-category) to retrieve pools for a specific category.
* GeckoTerminal categories are different from [CoinGecko categories](/reference/coins-categories-list).
* Equivalent page on [GeckoTerminal Categories](https://www.geckoterminal.com/category).

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.onchain.categories.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.onchain.categories.get()

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /onchain/categories
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /onchain/categories:
    get:
      summary: Categories List
      description: To query all the supported categories on GeckoTerminal
      operationId: categories-list
      parameters:
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default value: 1
          schema:
            type: integer
        - name: sort
          in: query
          required: false
          description: |-
            Sort the categories by field. 
            Default: `h6_volume_percentage_desc`
          schema:
            type: string
            enum:
              - h1_volume_percentage_desc
              - h6_volume_percentage_desc
              - h12_volume_percentage_desc
              - h24_tx_count_desc
              - h24_volume_usd_desc
              - fdv_usd_desc
              - reserve_in_usd_desc
      responses:
        '200':
          description: List of supported categories
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnchainCategoriesList'
              example:
                data:
                  - id: basedotmeme-launchpad
                    type: category
                    attributes:
                      name: Basedotmeme Launchpad
                      description: >-
                        Tokens launched from base.meme launchpad.
                        (https://base.meme/)
                      volume_change_percentage:
                        h1: '-80.77'
                        h6: '132756.5'
                        h12: '12603.22'
                        h24: '5165.63'
                      reserve_in_usd: '25598.43'
                      fdv_usd: '79496.96'
                      h24_volume_usd: '622.05'
                      h24_tx_count: 7
                  - id: ape
                    type: category
                    attributes:
                      name: Ape
                      description: 'Tokens related to the great apes '
                      volume_change_percentage:
                        h1: '1527.94'
                        h6: '9972.78'
                        h12: '5575.81'
                        h24: '3266.85'
                      reserve_in_usd: '22471204.46'
                      fdv_usd: '16309303406314.87'
                      h24_volume_usd: '26749165.82'
                      h24_tx_count: 103967
components:
  schemas:
    OnchainCategoriesList:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - attributes
            properties:
              id:
                type: string
                description: Category ID
              type:
                type: string
                description: Resource type
              attributes:
                type: object
                required:
                  - name
                  - description
                  - volume_change_percentage
                  - reserve_in_usd
                  - fdv_usd
                  - h24_volume_usd
                  - h24_tx_count
                properties:
                  name:
                    type: string
                    description: Category name
                  description:
                    type: string
                    description: Category description
                  volume_change_percentage:
                    type: object
                    description: Volume change percentage over various timeframes
                    properties:
                      h1:
                        type: string
                      h6:
                        type: string
                      h12:
                        type: string
                      h24:
                        type: string
                  reserve_in_usd:
                    type: string
                    description: Total reserve in USD
                  fdv_usd:
                    type: string
                    description: Fully diluted valuation in USD
                  h24_volume_usd:
                    type: string
                    description: 24hr volume in USD
                  h24_tx_count:
                    type: integer
                    description: 24hr transaction count
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````